Atom feed of this document
 
 
 

 4.1. Core Quick Reference

The following table lists the core service calls for the Rackspace Cloud Monitoring API:

Verb URI Description
Account
GET /limits View an account resource and rate limits.
GET /account Retrieve account attributes.
PUT /account Update specific account attributes.
Audit
GET /audits Retrieve API operation history for a given period of time (defaults to last seven days).
Usage
GET /usage Retrieves usage information for a given period of time (defaults to last seven days).
Entities
POST /entities Create an entity in the system.
GET /entities List all entities associated with your account.
GET /entities/entityId Examine the entity.
PUT /entities/entityId Update specific characteristics of an entity.
DELETE /entities/entityId Delete an entity.
Checks
POST /entities/entityId/checks Create a check.
POST /entities/entityId/test-check Test a check.
POST /entities/entityId/test-check?debug=true Test a check and include extra check type specific debugging information if available.
POST /entities/entityId/checks/checkId/test Test an existing check.
POST /entities/entityId/checks/checkId/test?debug=true Test an existing check and include extra check type specific debugging information if available.
GET /entities/entityId/checks List all checks associated with your account.
GET /entities/entityId/checks/checkId Get information for a single check.
PUT /entities/entityId/checks/checkId Update specific characteristics of a check.
DELETE /entities/entityId/checks/checkId Delete a check for a specific entity.
Metrics (Preview feature)
GET /entities/entityId/checks/checkId/metrics List all metrics generated by a specific check.
GET /entities/entityId/checks/checkId/metrics/metricName Fetch data points for a specific metric.
Check Types
GET /check_types List all check types associated with your account.
GET /check_types/checkTypeId Get information for a single check type.
Monitoring Zones
GET /monitoring_zones List all monitoring zones for your account.
GET /monitoring_zones/monitoringZoneId Get information for a single monitoring zone.
POST /monitoring_zones/monitoringZoneId/traceroute Perform a traceroute from a collector in the specified monitoring zones.
Alarms
POST /entities/entityId/alarms Create an alarm for a specific entity.
POST /entities/entityId/test-alarm Test an alarm.
GET /entities/entityId/alarms List all alarms for your account.
GET /entities/entityId/alarms/alarmId Get information for a single alarm.
PUT /entities/entityId/alarms/alarmId Update a specific alarm.
DELETE /entities/entityId/alarms/alarmId Delete an alarm from the specified entity.
Alarm Notification History
GET /entities/entityId/alarms/alarmId/notification_history Discover which checks this alarm has a notification history for.
GET /entities/entityId/alarms/alarmId/notification_history/checkId List the notification history for a specific alarm and check.
GET /entities/entityId/alarms/alarmId/notification_history/checkId/uuid Retrieve a specific notification history event for this alarm and check.
Notification Plans
POST /notification_plans Create a notification plan.
GET /notification_plans List all notifications plans for your account.
GET /notification_plans/notificationPlanId Get information for a single notification plan.
PUT /notification_plans/notificationPlanId Update a specific notification plan.
DELETE /notification_plans/notificationPlanId Delete a notification plan from the specified entity.
Notifications
POST /notifications Create a notification.
GET /notifications List all notifications for your account.
GET /notifications/notificationId Get information for a single notification.
PUT /notifications/notificationId Update a specific notification.
POST /notifications/notificationId/test Test an existing notification.
POST /test-notification Test a notification.
DELETE /notifications/notificationId Delete a notification from the specified notification plan.
Notification Types
GET /notification_types List all notifications for your account.
GET /notification_types/notificationTypeId Get information for a single notification type.
Changelogs
GET /changelogs/alarms Lists alarm changelogs for this account.
GET /changelogs/alarms?entityId=entityId Lists alarm changelogs for this account, filtered by a given entity ID.
Views
GET /views/overview Return the overview view for this account.
GET /views/overview?id=entityId&id=entityId Return the overview view for this account, filtering returned entities by a list of entity IDs.
GET /views/overview?uri=URI&uri=URI Return the overview view for this account, filtering returned entities by a list of entity URIs.
Changelogs
GET /changelogs/alarms Lists alarm changelogs for this account.
GET /changelogs/alarms?entityId=entityId Lists alarm changelogs for this account, filtered by a given entity ID.
Alarm Examples
GET /alarm_examples Lists examples for alarms.
GET /alarm_examples/alarmExampleId Get a specific alarm example.
POST /alarm_examples/alarmExampleId Use template parameters to evaluate alarm examples and return the bound criteria.


loading table of contents...